----------
2008-01-23 (r286 ateslik)

bump the version number to 2.53

----------
2008-01-23 (r283 ateslik)

add document describing how to use svn for owm dev

----------
2008-01-03 (r282 ateslik)

minor html bug fix

----------
2008-01-02 (r281 ateslik)

revise the opening copyright notice

revise the version string shown in the info section

revise the en_US.ISO8859-1 templates as a start to
presentation/logic separation

----------
2007-12-27 (r280 jveiga)

Minor text corrections.

----------
2007-12-13 (r279 ateslik)

change the default options to spamc
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com)

----------
2007-11-12 (r278 ateslik)

remove the changes.txt file from data/openwebmail/doc. This
file is now created automatically when a tarball is made
using the misc/mkrelease/mkcurrent.sh script

rewrite the misc/mkrelease/mkcurrent.sh script to use SVN

remove unused or unnecessary scripts from misc/mkrelease

----------
2007-11-07 (r277 ateslik)

new iconset: Vertito.English
(thanks to vertito.AT.aim-consultants.com)

----------
2007-11-07 (r276 ateslik)

fix bug that a message sent to an uppercase or lowercase variation
of a ligitimate alias would cause the reply to default the From field
to the real user account instead of the alias account.
(thanks to Ercolino de spiacico, bellocarico.AT.hotmail.com for the report)

----------
2007-11-07 (r275 md)

Add missing whitespace

----------
2007-11-07 (r274 md)

Fix mailbox corruption when deleting attachment

----------
2007-11-06 (r273 ateslik)

1. Add warning regarding ow_usersdir possible exploit for OWASP review
(Thanks to Eric Sheridan, eric.sheridan.AT.aspectsecurity.com)

----------
2007-10-04 (r272 jveiga)

1. changed the default zonetabfile to 'no', to avoid confusion when
upgrading without setting the existing users' timezone;
added timezone settings documentation on openwebmail.conf.help
(Joao S Veiga, openwebmail.AT.it.eng.br)

----------
2007-08-20 (r271 ateslik)

1. update changes.txt again to warn sysadms to run openwebmail-tool.pl
to update all of the users db files per the 08/10/2007 commit.

----------
2007-08-20 (r270 ateslik)

1. re-sync the data/openwebmail/doc/changes.txt file

----------
2007-08-19 (r269 md)

Fix HTTP charset in errors after login and after release upgrade from 2.52

----------
2007-08-19 (r268 md)

Fix name of the Slovenian locale (sl_SI)

----------
2007-08-19 (r267 md)

Fix Hebrew support and remove broken he_IL.ISO8859-8 locale

----------
2007-08-17 (r266 md)

Fix charset for Login failed screen

----------
2007-08-17 (r265 md)

Fix typo in ISO-8859-8 iconv list.

----------
2007-08-17 (r264 md)

Add iconv aliases for KSC5601 charset

----------
2007-08-17 (r263 md)

Remove en_US.UTF-8 and ro_RO.UTF-8 locales from SVN - now autogenerated during
installation. Update ro_RO.ISO8859-2 as agreed with Gabriel Hojda.

----------
2007-08-17 (r262 md)

Fix prefs.template for RTL languages

----------
2007-08-16 (r261 md)

Prefer UTF-8 charset when available

----------
2007-08-16 (r260 md)

Fix openwebmailerror() to use proper charset

----------
2007-08-16 (r259 md)

Automatically create UTF-8 versions for all available locales during
openwebmail-tool.pl --init

----------
2007-08-13 (r258 md)

Fix replyreceipt() to send in english/utf-8

----------
2007-08-13 (r257 md)

Add missing conversion of user's fullname to compose charset.

----------
2007-08-10 (r256 md)

Always encode 8-bit names in Content-Description header according to RFC2047

----------
2007-08-10 (r255 md)

Decode RFC2047 headers always into UTF-8 charset and convert
into display/compose charset in one step. Ensures proper decoding
of international headers even if message charset is US-ASCII

----------
2007-07-06 (r254 jveiga)

1. complements the attachment limit patch with a pop-up message
informing the user that the limit was reached.

----------
2007-07-03 (r253 jveiga)

3. uses the system zoneinfo database for timezone/dst handling.

----------
2007-07-03 (r252 jveiga)

2. denies adding attachments over the attlimit without discarding
the message being composed

----------
2007-07-03 (r251 jveiga)

1. adds an option to backup sent/replied messages on the current
folder if the current folder is not Drafts nor Inbox.

----------
2007-06-01 (r250 jveiga)

Fix csv/tab addressbook export to skip AGENT and non-text properties instead of aborting.

----------
2006-10-30 (r248 jveiga)

1. change the spellcheck() function name to owmspellcheck() to workaround conflict with Firefox 2.0 which prevented the spellcheck to work.

----------
2006-10-19 (r247 ateslik)

1. fix bug so compose message attachments are now displayed in the
order uploaded
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)
2. fix bug that subjects with quote characters did not link to
openwebmail-read correctly in IE due to HTML syntax errors
(thanks to Moke Tsing, moke.AT.amcpl.net for his report)
3. fix bug that etc/default/openwebmail.conf domainselmenu_list
option was not updated to domainselectmenu_list at 11/14/2004 #1
(thanks to Michael Mansour, mic.AT.npgx.com.au for his report)
4. fix minor HTML syntax errors in addressbook forms
(thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)
5. Czech templates and language files translation update
(thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)
6. rewrite the pipecmd code in spamcheck and viruscheck modules.
the new code has much better error reporting and should help
troubleshoot pipe issues better.

----------
2006-08-31 (r245 ateslik)

1. fix bug for wrong logic in #4 from the last commit

----------
2006-08-31 (r244 ateslik)

1. fix bug so addressbook now returns to the correct list page
after a contact has been edited
(thanks to Moke Tsing, moke.AT.amcpl.net for his patch)
2. fix missing html closing syntax in email and tel parms of
addressbook
3. Spanish templates and language files translation update
(thanks to Javier Smaldone, javier.AT.smaldone.com.ar)
4. fix a bug that openwebmail-tool does not load default config
unless a custom config also exists
(thanks to John M. Victory, ergon.AT.users.sourceforge.net)
5. adding a new contact from readmessage now returns back to
readmessage instead of addressbook listview

----------
2006-07-21 (r242 ateslik)

1. a forth commit to fix a minor bug in the openwebmail-tool.pl
new SMTP code (writehistory is not available at that time).

----------
2006-07-21 (r241 ateslik)

1. a third commit to further update the en_US templates,
as is sometimes necessary for large commits to SVN.

----------
2006-07-21 (r240 ateslik)

1. a second commit to update the en_US templates

----------
2006-07-21 (r239 ateslik)

1. switch from languages/charsets to full locale names globally.
OpenWebMail is now standardized on ISO-3066 for locale names
across templates, language, holiday, help files, and popups.
user preferences are automatically updated. Systems admins
should update the 'calendar_holiday' settings in openwebmail.conf
to call for a locale specific holiday file
2. multiple SMTP servers are now supported for 'smtpserver' setting to
provide redundancy in case of primary SMTP failure
(suggested by Michael Mansour, mic.AT.npgx.com.au)
3. Hellenic translations have been renamed to Greek
(suggested by Dimitrios 'sehh' Michelinakis, sehh.AT.altered.com)
4. fix bug in iconv.pl where some windows charsets were misspelled
as winodws, breaking some charset conversion support
5. minor code clean and comment spelling fixes

----------
2006-06-18 (r238 ateslik)

1. forgot to update the revision date.

----------
2006-06-18 (r237 ateslik)

1. German help files translation
(thanks to Helmut Grund, Helmut.Grund.AT.fh-furtwangen.de)
2. update the welcome/copyright date from 2005 to 2006
3. fix additional XSS exploits in openwebmail-read.pl due to the
from address not being sanitized properly
4. fix bug that clicking user name for compose will pass escaped
values to the form field instead of proper email address
(due to fix 20060512 #5)
5. support application/octet-stream attachments that are really
text/html. Detect them and display them inline. Apple-Mail
incorrectly sends text/html attachments in this way.

----------
2006-05-12 (r236 ateslik)

1. fix error that ow::htmltext::str2html is not available to display
some error messages because it needs to be require'd in ow-shared.pl
(thanks to Chris Hare, CISSP, CISA, CISM, chare.AT.labr.net)
2. modify some additional openwebmailerror calls that need to display
HTML, to make them XSS attack safe.
3. fix typo in openwebmail-send.pl to correct formatting of read-reciepts
to messages that are not of the same charset as the users charset
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his patch)
4. fix bug that email addressed to an unknown local user will not create
an error if that user is the second or higher addressee
(thanks to Dominique Fournier, dominique.fournier.AT.grenoble.cnrs.fr)
5. fix additional XSS possible exploits caused by the To and From name and
address not being sanitized before display
(thanks to Kelson Vibber, kelson.AT.speed.net for his code)
6. Romanian templates and language files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)
7. Hellenic/Greek templates and language files translation update
(thanks to Dimitrios 'sehh' Michelinakis, sehh.AT.altered.com)

----------
2006-05-04 (r235 ateslik)

1. fix mailparse.pl so the "attachment" and "body" keys of %message are
not overwritten by parse_header
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)
2. add Hungarian help and tutorial translation
(thanks to Harka Gy?\197?\145z?\197?\145, carlos.AT.gamma.ttk.pte.hu)
3. add 'body' recognition to openwebmail.pl for compatibility with
the firefox webmailcompose extention available at:
http://jedbrown.net/1.0/mozilla/extensions
4. to stop errors appearing in the logs, change openwebmailerror to output
the default_bgurl in the case that a user does not define a bgurl
(thanks to Massimo Gravino, gravino.AT.pd.infn.it for his patch)
5. fix vacation.pl to not auto-reply to messages tagged as spam in the
header. The spam threshold coded in is 6, please adjust if needed

----------
2006-05-02 (r233 ateslik)

(2.52 Release)
1. change the openwebmail-tool.pl site-report email from
openwebmail.AT.turtle.ee.ncku.edu.tw -> stats.AT.openwebmail.acatysmoof.com
2. add the revision string to openwebmail.conf and the about page.
this is to give more information for bugs as development ramps back up.
3. fix a bug that arbitary XSS code may be executed by passing script
in the sessionid value, because the sessionid was not sanitized
before it was displayed in the error output.
(reported by Jose Alves, jose.alves.AT.gmail.com)

----------
2005-07-26 (r232 ateslik)

1. fix a typo error in log message in openwebmail-main.pl
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)
2. fix a typo error in receipt messaage in openwebmail-send.pl
(thanks to tigeli, pasi.sjoholm.AT.tieto-x.fi for his fix)

----------
2005-06-27 (r231 ateslik)

1. fix a bug in mailfilter that folder filelock wasn't correctly released
if dotfile lock was used.
2. hongkong holiday file update
(thanks to faifai.AT.users.sourceforge.net)
3. Thai language and template files translation update
(thanks to Atsawin Chaowanakritsanakul, joke.AT.nakhon.net)

----------
2005-06-15 (r230 ateslik)

1. fix a bug that delmail_ifquotahit option will delete newest mails
if overquota, this bug was introduced since 20050308
(reported by Yang Yao-Strong, ysyang.AT.visionnext.com)
2. folding the to, cc, bcc fields with length limit 330 so they won't
violated the 998 limit (defined in rfc RFC 2822 2.2.3) after qp encoding

----------
2005-05-27 (r229 ateslik)

1. change language name to more official ones (language_area.encoding)
zh_TW.Big5.utf8   -> zh_TW.utf8
zh_CN.GB2312.utf8 -> zh_CN.utf8

----------
2005-05-22 (r228 ateslik)

1. mirror site change
from http://openwebmail.kkellas.com.my
to   http://openwebmail.opusplc.com
(thanks to Ramli Mohd, meli.AT.opusplc.com)

----------
2005-05-12 (r227 ateslik)

1. Portuguese Brazil language and template files translation update
(thanks to Julio Cesar Cunha, julio.AT.cnm.org.br)
2. fix a bug that openwebmail-tool.pl always say
"operation is only available to root" in persistence mode
(this bug is introduced by change 2 b 20050507)

----------
2005-05-10 (r226 ateslik)

1. new iconset: Default.Polish
(thanks to Tomasz Wieckowski, t.wieckowski.AT.amp.edu.pl)
2. minor change to advsearch output layout

----------
2005-05-08 (r225 ateslik)

1. fix a bug that openwebmail-tool.pl --init will have db creation error
(this is introduced by change 2 b in 20050507)
2. fix a bug that number in $) may be lost after being copied to and from
a variable
ps:this was due to a strange behavior that
the 2nd number in a string will be always ignored by $)

----------
2005-05-07 (r224 ateslik)

1. fix the problem that option ldap_abook_container with null value
in openwebmail.conf will be always overridden by option in
openwebmail.conf.default
(thanks to Luigi Mazzieri, lmazzieri.AT.emerenzio.net for his fix)
2. a. use mktmpdir to make temporary dir for non-automic tmp file creation
to avoid race condition
b. release the ruid/euid/egid www immediately after script start for
better security
(thanks to Matej Vela, vela.AT.debian.org for his suggestion)

----------
2005-05-06 (r223 ateslik)

1. fix the bug that addressbook import lets user upload any kind of file
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)
2. fix the bug that addressbook import can would fail if the FullName
field is choosed
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)
3. move the popup calendar stylesheets into the templates/COMMON files
and out of the templates/$lang files
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his code)
4. more strict check on dictionary parameter in openwebmail-abook.pl
(thanks to Matej Vela, vela.AT.debian.org for his fix)
5. new iconset: Cool3D.Polish
(thanks to Tomasz Wieckowski, t.wieckowski.AT.amp.edu.pl)

----------
2005-05-04 (r222 ateslik)

1. replace more open(F, fname) statement with sysopen(F, fname, mode)
to avoid possible shell escape char in filename
2. fix a typo error in spellcheck which was introduced by 20050430 fix 3
3. use mktmpfile to create tmp file to avoid possible race condition
(suggested by Javier Fernandez-Sanguino Pena, jfs.AT.computer.org)
4. remove dnagerous chars from the dictionary parameter in spellcheck
(suggested by Matej Vela, vela.AT.debian.org)
5. fix the several typo error in LDAP config name in openwebmail-abook.pl
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2005-05-01 (r221 ateslik)

1. rename preference option msgdatetimestamp to msgdatetype
2. fix the problem that messages are always sorted by sent date even the
"sort by received date" is choosed and displayed
(reported by Dominic Lu, dominic.AT.dominic.idv.tw)
3. do ldap cache abook update in background
4. change format of lunar map so it can be matched with numbers
ps:The new routine maintains compatibility with old lunar db format,
however, we suggest sysadm upgrade their lunar db to avoid comparibility
problem in the future by
a. remove the cgi-bin/openwebmail/etc/maps/lunar.db
b. redo openwebmail-tool.pl --init

----------
2005-04-30 (r220 ateslik)

1. clean all pipe code with safer syntax like open(F, "|-") and open(F, "-|")
to eliminate shell escape char interpretation
2. spam check and virus check which should be faster now
because of change 1, shll won't be invoked any more.
3. replace most open(F, fname) statement with sysopen(F, fname, mode)
to avoid problem caused by shell escape char in filename

----------
2005-04-29 (r219 ateslik)

1. LDAP addressbook support
(thanks to Luigi Mazzieri, lmazzieri.AT.emerenzio.net for his code)
2. Hungarion lang and template files translation update
(thanks to Posz Marton, ful_s.AY.fazekas.hu)
3. fix a bug that when click on "Compose message from selected" in addresss
book with "Cc" checked, in the new message the "Cc" is always blank.
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)
4. fix a but that openwebmail.pl will report directory creation error
when it is executed in not setuid root mode
(reported by Frederic TYNDIUK, tyndiuk.AT.webfutur.com)
5. Indonesian language file translation update
Indonesian help tutorial translation
(thanks to James Briggs, james.AT.ActionMessage.com)
6. always remove space, tab, \r, \n from loginname
(suggested by Frederic TYNDIUK, tyndiuk.AT.webfutur.com)

----------
2005-04-10 (r218 ateslik)

1. new mirror site at Munich, Germany
http://openwebmail.mirrorplus.org/
(thanks to A. Schweiss, admin.AT.mirrorplus.org)
2. fix the bug that default sort for old user was not properly changed
from 'date' to 'date_rev'
(reported by James Briggs, james.AT.ActionMessage.com)
3. new iconset: Jabo.Danish
(thanks to Jan Bothmann, jabo.AT.bothmann.biz)

----------
2005-03-23 (r217 ateslik)

1. fix a bug in preload.pl that some cgi url were hard coded instead of
$cgiurl variable
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)

----------
2005-03-22 (r216 ateslik)

1. fix the bug that addressbook entries added with 'quickadd' button
won't have the X-OWM-CHARSET attribute

----------
2005-03-20 (r215 ateslik)

1. remove 'show inbox unread message count' option from prefs
as it is enabled by default now :)

----------
2005-03-19 (r214 ateslik)

1. add 'show inbox unread message count' option to prefs
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his code)
2. add 'event reminder' option to calendar item menu
(thanks to Matt Roberts, matt.AT.dworkin.org for his code)

The changes from 03/18/2005 are also included since the 03/18
tarball is missing:
----------
1. Spanish language file tranlsation minor update
Spanish holiday file
(thanks to Miguel Angel Fernandez Roiz, roiz.AT.lobocom.es)
2. new mirrorsite at Burlingame, California, US
http://openwebmail.tolix.org/
(thanks to Deep, silver_masta.AT.yahoo.com)

----------
2005-03-17 (r213 ateslik)

1. fix a bug that relative links in message would be converted to absolute
openwebmail links in forwarded message
(reported by Grund Helmut RZ, Helmut.Grund.AT.fh-furtwangen.de)
2. fix a bug that messages with self id in references header won't be
displayed in message list when the list is soirted by subject
(reported by Cruzio Research, research.AT.cruzio.com)
3. new auth module: auth_mysql_postnuke.pl
It is based on auth_mysql.pl and to be used with users in postnuke.
(thanks to Didier MICHAUT, dmichaut.AT.mt71.fr for his modification)

----------
2005-03-15 (r212 ateslik)

1. new mirror site at Raleigh, NC
http://owm.opensourcerules.net/
(thanks to Sam Gates, sam.AT.opensourcerules.net)
2. fix a bug that some words would inproperly changed to %%WORDnn%%
after spelling check
(reported by to Thomas Chung, tchung.AT.openwebmail.org)

----------
2005-03-11 (r211 ateslik)

1. fix the bug that default sort for new user was not properly set
to 'date_rev'
2. Korean language file translation minor update
(thanks to Sungjun Park, psj.AT.soosan.co.kr)
3. Danish language, templates and htmlarea files translation update
(thanks to Gunner Poulsen, gp.AT.lyngbjerggaardskolen.dk)

----------
2005-03-10 (r210 ateslik)

1. minor change to buffer_index() code in maildb.pl which makes great
improvement :)
a. the indexing speed is about 2 times faster than before
b. the memory usage is basicly foldersize/messagesize independent
c. the cpu usage is much less than before
2. typo correction for string Ascending and Descending in language files

----------
2005-03-09 (r209 ateslik)

1. support using either SentDate and Received Date as message timestamp
2. messagelist code clean
3. calculate message age based on its received date so messages with long
transmission delay won't be removed soon by clean_trash_spamvirus()
4. show transmission delay as the tips of messagelist date field
5. finalize move of all en.utf8 symlinks to real directories

----------
2005-03-08 (r208 ateslik)

1. change the field order in folderdb and add the recvdate field.
The is preparation for recvdate display support in messagelist
ps: The folderdb will be upgraded to new format automatically when being accessed
However, the sysadm may upgrade the folderdb for all users explicitly by

/path_to.../openwebmail-tool.pl -i -a

so the users won't be waiting the db conversion in using webmail
2. rename option deliver_use_GMT to deliver_use_gmt or it won't be recognized
by conf parser
3. partial commit to accomodate the change of all en.utf8 symlinks to actual
directories. This will require another commit to finalize the change.

----------
2005-03-07 (r207 ateslik)

1. fix error "There is no file named "/tmp/nonexistance" main::readadrbook ..."
which happened in saving contact to abook with nonalphabet in abookname

----------
2005-03-06 (r206 ateslik)

1. fix the bug that DEFAULT_charset and DEFAULT_fscharset didn't lock the
related field in preference.
(reported by Florian Effenberger, floeff.AT.arcor.de)
2. fix a bug in readmessage that smartdestination was not correctly
iconved/unescaped during folder name comparison
(reported by MarkDoliner, thekingant.AT.users.sourceforge.net)

----------
2005-03-04 (r205 ateslik)

1. minor improvement on addressbook quick selection

----------
2005-03-03 (r204 ateslik)

1. fix a bug in blacklist/whitelist deletion which always deles the entry
previous to the one user want to delete
(reported by Dominic Lu, dominic.AT.dominic.idv.tw)
2. Czech language and template files translation update
(thanks to Milan Kerslager, milan.kerslager.AT.pslib.cz)

----------
2005-03-02 (r203 ateslik)

1. support quick selection in addressbook (similar to the one in messagelist)

----------
2005-03-01 (r202 ateslik)

1. support *.ace archive list/decompression in webdisk
(suggested by rs232, bellocarico.AT.hotmail.com)
2. new mirror site at Arad, Romania
http://mirrors.arad.astral.ro/openwebmail/
(thanks to Dani Radulescu, dani.radulescu.AT.astral.ro)
3. greatly improve the speed of composited advsearch
4. check if ~/mbox is INBOX before symlinking it to SAVED folder to avoid
problem on platforms(eg: Cobalt Raq servers) using ~/mbox as mailspool
(reported by tevike, csaba.AT.polyweb.no)

----------
2005-02-28 (r200 ateslik)

(2.51 Release)
1. Final touches for 2.51 release. Bump version numbers
in conf files.

----------
2005-02-28 (r199 ateslik)

1. minor change to readmessage templates

----------
2005-02-27 (r198 ateslik)

1. guess a better contenttype in attachment downloading
if attachment contenttype is application/octet-stream
2. include openwebmail.logrotate in misc/tools/logrotate/
which is useful for systems supporting logrotate
(thanks to Thomas Chung, tchung.AT.openwebmail.org)

----------
2005-02-25 (r197 ateslik)

1. change autologin default action from listmessage to listmessage_afterlogin,
so 'autofetch pop3' and 'moving old message to saved folder' will be called
in autologin

----------
2005-02-24 (r196 ateslik)

1. French language, template and htmlarea files translation minor update
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)
2. fix a bug that saprefs always set headerattr to ALL when ruletype is header
(reported by Yang Yao-Strong, ysyang.AT.green-computing.com)
3. Slovenian language and template files translation minor update
add Slovenian letters to spellcheck
(thanks to Uros Sajko, copatek.AT.yahoo.com)
4. support attachment deletion in readmessage

----------
2005-02-23 (r195 ateslik)

1. Spanish language and template files trnslation minor update
(thanks to Javier Smaldone, javier.AT.diff.com.ar)
2. Catalan language and template files translation minor update
(thanks to Jordi Sanfeliu, mikaku.AT.fiwix.org)
3. Romanian (ro & ro.utf8) lang and template files translation minor update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)
4. clear stale /tmp/.ow.xxx files in login routine

----------
2005-02-21 (r194 ateslik)

1. remove unnecessary file permission.template from english template

----------
2005-02-20 (r193 ateslik)

1. add "Read message with message charset" to user preference
(suggested by chuavv, chuavv.AT.mail.savs.hcc.edu.tw)

----------
2005-02-19 (r192 ateslik)

1. add chmod support in webdisk

----------
2005-02-18 (r191 ateslik)

1. fix a bug in openwebmail-saprefs.pl which always deleted the testrule
prevous to the one user want to remove.
(reported by Dominic Lu, dominic.AT.dominic.idv.tw)
2. fix some mismatch string between en and ro* language/template files.
(reported by Gabriel Hojda, gabriel.hojda.AT.gmail.com)
3. new iconset: Cool3D.Danish
(thanks to Gunner Poulsen, gp.AT.lyngbjerggaardskolen.dk)
4. Romanian (ro & ro.utf8) lang and template files translation minor update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)
5. add the folder dropdown menu to readmessage
add new option login_fieldwidth to openwebmail.conf
(suggested by Gabriel Hojda, gabriel.hojda.AT.gmail.com)

----------
2005-02-17 (r190 ateslik)

1. French language file translation minor update
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

----------
2005-02-16 (r189 ateslik)

1. Spanish language, template and htmlarea files trnslation update
(thanks to Javier Smaldone, javier.AT.diff.com.ar)
2. fix a bug in htmlarea htmlarea-lang.js file that the tips for HR button
should be labeled as inserthorizontalrule.
(reported by Javier Smaldone, javier.AT.diff.com.ar)
3. Hellenic/Greek language file translation update
(thanks to Dimitrios 'sehh' Michelinakis, dimitrios.AT.michelinakis.gr)
4. fix a bug in openwebmail.pl that the login of user with wrong
password get processed after sending out the wrong password screen.
ps: this bug was introduced by the fix 1 in 20050115,
(thanks to Troy, troy.AT.riq.qc.ca for his fix)
5. French language and templates translation update
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

----------
2005-02-15 (r188 ateslik)

1. fix the bug that calling truncate function may have
'insecure dependency' error
2. Slovenian language and template files translation minor update
(thanks to Uros Sajko, copatek.AT.yahoo.com)
3. Bulgarian language and template files translation minor update
(thanks to Veselin Slavov, vess.AT.slavof.net)

----------
2005-02-13 (r187 ateslik)

1. Deutsch language and template files translation minor update
(thanks to Martin Bronk, martin.AT.bronk.de)
2. Polish language and template files translation minor update
(thanks to Pawel Foremski, pjf.AT.asn.pl)
3. fix a bug that charset was not correctly converted when adding
emails in message to addresbook
4. remove opensourcerules.net from mirror sites list

----------
2005-02-12 (r186 ateslik)

1. fix a bug that arbitary XSS code may be pluged in login page
because the domainanme parameter was not checked.
(reported by Oriol Torrent Santiago, oriol.torrent.AT.gmail.com)

----------
2005-02-10 (r185 ateslik)

1. fix several type errors that unknown was typed as unknow
(thanks to Kelson Vibber, kelson.AT.speed.net)
2. clean code of error messages

----------
2005-02-09 (r184 ateslik)

1. Deutsch template files translation minor update
(thanks to Martin Bronk, martin.AT.bronk.de)
2. clean code of error messages

----------
2005-02-07 (r183 ateslik)

1. change address book email lookup in message list
from case sensitive to case insensitive
(suggested by Robert den Ouden, robert.AT.denouden.net)

----------
2005-02-06 (r182 ateslik)

1. Romanian (ro & ro.utf8) lang and prefs.template translation minor update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)
2. multiple charset support for mailfilter
3. clean code in mailfilte.pl for minor speedup

----------
2005-02-04 (r181 ateslik)

1. fix a bug in calendar that day of month was not properly checked when
the user clicked calendar from webmail
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2005-02-03 (r180 ateslik)

1. fix a bug that in-reply-to header may be not correctly handled if it
is expressed as <messageid> "message description"
2. fix a problem that recv time was used as message timestamp if
recvtime-sendtime>7day, which caused problems when the user tries to
move very old messages to mail server through imapd
(reported by cyberic99.AT.hotmail.com)

----------
2005-02-02 (r179 ateslik)

1. fix a bug in fetchmail.pl readdata() which always returns true
after remote pop3 socket is closed unespectedly, this caused a fever
loop in fetchmail(), thus introduced huge process...
(reported by Mike Fahey, mfahey.AT.enter.net)
2. Romanian (ro & ro.utf8) lang and template files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

----------
2005-02-01 (r178 ateslik)

1. rename option log_filter_detail to debug_mailfilter,
add option debug_request, debug_fork to openwebmail.conf.default
2. new mirror site at Jyvaskyla, Finland
http://ws182.wts.fi/openwebmail/
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi)
3. remove stale mirror sites
http://www.brc.com.br/openwebmail
http://openwebmail.typoheads.com

----------
2005-01-30 (r177 ateslik)

1. fix a bug in spellcheck that unreognized words in URL would cause
error in spellcheck output
(reported by Thomas Chung, tchung.AT.openwebmail.org)
2. show link to original message saved in draft folder in sendmail error message
3. add charset support for stationery book
replace all stationary in code to stationery

----------
2005-01-29 (r176 ateslik)

1. support auto cc feature
(suggested by Dominique, dominique.fournier.AT.grenoble.cnrs.fr)
2. new mirror site at Khonkaen, Thailand
http://openwebmail.nameserver.in.th/
(thanks to Pakon Jamsai, buagern.AT.hotmail.com)

----------
2005-01-28 (r175 ateslik)

1. Dutch language file translation update
(thanks to Jeroen Visser, openwebmail.AT.forty-two.nl)
2. Romanian lang and template files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)
3. New language translation: Croatian
(thanks to Igor Zivkovic, igor.AT.linuxfromscratch.org)

----------
2005-01-26 (r174 ateslik)

1. fix the problem that openwebmail-main.pl/openwebmail-read.pl process may die
unexpectedly if viruscheck/spamcheck option is enabled but related daemon
is not available.
Why: When owm opens a pipe to the spamcheck/viruscheck client cmd (spamc/clamdscan),
the fd is available because the client cmd is started up properly.
However, while owm is writing data to the pipe, the pipe may be terminated
by the client because it can not connect to related daemon(spamd/clemd).
If this happens, the parent owm process die unexpectedly. :(
And we fix the problem by doing fork once before calling the client cmd.
2. Romanian lang and template files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)
3. fix the bug that variable $folder is not transmitted in escaped format in
openwebmai-main.pl page form and openwebmail-cal.pl
4. fix a bug that param folder in sendmessage() was not unescaped
which stoped the update message status from working.
(reported by Thomas Chung, tchung.AT.openwebmail.org)
5. disable more js events in html4disablejs() in htmlrender.pl
6. new mirror site at California, USA,
http://www.mirrormonster.com/openwebmail/
(thanks to Mike, apache.org.AT.mirrormonster.com)
7. fix a bug that press enter in abook keyword field would cause parameter
format error
(reported by treo, directcommunications.AT.mail.com)

----------
2005-01-25 (r173 ateslik)

1. fix a bug that webdisk upload didn't handle filename properly
when user prefs charset was not the same as fs charset

----------
2005-01-24 (r172 ateslik)

1. fix the bug that search by date in messagelist only matches with YYYYMMYY
Now the date will match with the the dateformat selected by users in their
user preference
(suggested by Joao S Veiga, openwebmail.AT.rf.com.br)
2. Arabic language and prefs.template file translation update
(thanks to Isam Ishaq, isam.AT.planet.edu)
3. Indonesian language and template files translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

----------
2005-01-22 (r171 ateslik)

1. use random number to generate tmp filename for security
2. clear all user related info in login error message
(suggested by Joao S Veiga, openwebmail.AT.rf.com.br)

----------
2005-01-21 (r170 ateslik)

1. multiple charset support for rename function in editfolder and
editabookfolder
2. fix the bug that pathnames in openwebmailerror() were not converted from
fscharset to prefscharset
3. fix the bug that pathnames in history file were not converted from
fscharset to prefscharset in viewhistory()
4. fix the bug that foldernames in newmail notification window were not
converted from fscharset to prefscharset in viewhistory()

----------
2005-01-20 (r169 ateslik)

1. greatly improved multiple charset support in openwebmail-webdisk.pl
2. Indonesian template files minor translation update
(thanks to James Briggs, james.AT.ActionMessage.com)
3. change url of mirror site 19 to location with faster link
from http://opensourcerules.com/openwebmail/
to   http://opensourcerules.net/openwebmail/
(thanks to Sam Gates, sam.AT.opensourcerules.net)
4. Cool3D.Russian iconset update
(thanks to Oleg Dzyza, dzoleg.AT.mail.ru)
5. minor change to auth_pop3.pl so it assumes user login will fail by default
6. fix the error [UTF-8?] string in the ja_JP.Shift_JIS language, template
and htmlarea files
ps: This is due to the iconv mapping table in libiconv-1.9 (used by FreeBSD)
is not as complete as the one in libc on Linux :(
7. fix a bug that entries could not be delete from addressbook if option
strictfoldername was set to yes
8. add multiple charset support to addressbook search

----------
2005-01-18 (r168 ateslik)

1. greatly impreoved multiple charset support on option fscharset.
Most openwebmail modules will do charset conversion between fscharset
and usercharset automatically, so the name of folder/addressbook can
be always displayed correctly.
2. correct errors in the auth module auth_nis.pl
(reported by moniot, moniot.AT.fordham.edu)

----------
2005-01-17 (r167 ateslik)

1. multiple global addressbooks support
this could be useful for large companies or organizations
2. add learnham icon in spam-mail folder

----------
2005-01-16 (r166 ateslik)

1. fix a bug that DEFAULT_ options of list/yesno/none type in config file
may be parsed incorrectly, this was introduced by a fix in 20041030
2. add the categorized folder separator support
add description of categorzied folder to help tutorial
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)

----------
2005-01-15 (r165 ateslik)

1. auto move .openwebmail between syshome and owuserdir
when use_syshomedir or use_syshomedir_for_dotdir is changed.
(ie: ~/.openwebmail <-> cgi-bin.openwebmail/etc/users/username/.openwebmail)
ps: This would simplify the job for sysadm when he determines to change option
use_syshomedir_for_dotdir from yes (default) to 'no'
to avoid the .openwebmail/db coruption when quotahit happens
2. fix a bug that the data in global addressbook would be corrupted
if sysadm executes openwebmail-tool.pl -c for more than once.
3. sort messages in alphabet order if the sort field is sender or recepient
(suggested by rs232, bellocarico.AT.hotmail.com,
ateslik, alex.AT.acatysmoof.com)
4. fix a bug in openwebmail-advsearch.pl that current month was always one more than
the correct value
5. support display of friend icon in openwebmail-advsearch.pl

----------
2005-01-14 (r164 ateslik)

1. fix a bug in advsearch that start/end day were passed to array2seconds()
with wrong parameters
(reported by Yang Yao-Strong, ysyang.AT.visionext.com)
2. support checking sender with addressbook in messagelist.
a friend icon will show up if the sender is found in any of user's
addressbooks or global affressbook
(suggested by SlowIce, peterf.AT.peterf.com)
3. Catalan language and template files translation update
(thanks to Jordi Sanfeliu, mikaku.AT.fiwix.org)

----------
2005-01-12 (r163 ateslik)

1. Indonesian lang file translation update
(thanks to James Briggs, james.AT.ActionMessage.com)
2. fix a bug that the pkg name of etc/lang/ko should be ow::ko instead
of ow::kr
(reported by Sungjun Park, psj.AT.soosan.co.kr)

----------
2005-01-11 (r162 ateslik)

The tarball for 01/10/2005 has been lost, so this commit
includes both the 01/10/2005 changes and the 01/10/2005 changes.

1. change korean language abbreviation from kr to ko
(thanks to Sergio Rua, srua.AT.debian.org for his correction)

01/10/2005
----------
1. URL syntax support in uploading :)
the users can upload an URL in webdisk or message composing now
just as if the URL is a local file
2. rename 'Folder Browsing' in preference to 'Messages Listing' to
avoid confusing

----------
2005-01-09 (r161 ateslik)

1. fix a minor bug in openwebmail-saprefs.pl that the default score
for no score testrule should be 1 instead of 0
(thanks to Yen-Ming Lee, leeym.AT.leeym.com for his fix)
2. fix a bug that the number of maxlen of foldernames is hard-coded
in language files
(reported by Thomas Chung, tchung.AT.openwebmail.org)
3. add crypt support to auth_mysql_vmail.pl
fix a bug that auth_mysql_vmail refered to wrong option name
which didn't exist in auth_mysql_vmail.conf
(thanks to Svyatoslav Y.Abramenkov, slavic.AT.promarmatura.dp.ua)

----------
2005-01-08 (r160 ateslik)

1. minor change to search form in addressbook listview to avoid security
warning under https
2. show active sessions in server info in preference/about menu

----------
2005-01-07 (r159 ateslik)

1. Hungarion lang and template files translation update
(thanks to Posz Marton, ful_s.AY.fazekas.hu)
2. enable http compression by default at login

----------
2005-01-06 (r157 ateslik)

1. categorized folders display in openwebmail-folder.pl
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)

----------
2005-01-05 (r156 ateslik)

1. Cool3D.Deutsch iconset update
(thanks to Martin Bronk, martin.AT.bronk.de)

----------
2005-01-04 (r155 ateslik)

1. Indonesian lang and template files translation update
(thanks to James Briggs, james.AT.ActionMessage.com)
2. Bulgarian language and template files translation minor update
(thanks to Veselin Slavov, vess.AT.slavof.net)
3. add minor fix to openwebmail-folders.pl for fscharset
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net for his fix)
4. new charset support for ja_JP.utf8, zh_TW.Big5.utf8, zh_CN.GB2312.utf8
5. new option --langconv to openwebmail-tool.pl
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net for his code
in owm-init-gen-ja.patch.gz)
ps: This is used to convert openwebmail lang/template and htmlarea files
of specific language from one chanrset to another.
It is useful when adding new charset support of existing language.

----------
2005-01-03 (r154 ateslik)

1. Deutsch lang file translation update
(thanks to Martin Bronk, martin.AT.bronk.de)
2. Indonesian lang and template files translation update
(thanks to James Briggs, james.AT.ActionMessage.com)
3. Slovenian language file translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2004-12-30 (r153 ateslik)

1. Finnish language translation update
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi)
2. improve the speed of mailfilter.pl by skipping zapped/verified
messageids as early as possible

----------
2004-12-28 (r152 ateslik)

1. Deutsch lang and template files translation update
(thanks to Martin Bronk, martin.AT.bronk.de)
2. Indonesian language file translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

----------
2004-12-27 (r151 ateslik)

1. fix a bug that spam/virus reserved days option does not show up in
user prefs
(thanks to kkenyon.AT.aircanopy.net for his fix)
2. fix a problem that the height of insert image/sound/table window in html
composor was not large enough to include the ok and cancel botton
3. fix a bug that < and > in replyto field would be removed in user preference
(reported by Yves MARTIN, ymartin.AT.mail.com)

----------
2004-12-26 (r150 ateslik)

1. new mirror site at St. Petersburg, FL, USA,
http://holodeck3.net/owmirror
(thanks to Peter Friedrich, peterf.AT.peterf.com)
2. Czech language and template files translation update
(thanks to Milan Kerslager, milan.kerslager.AT.pslib.cz)

----------
2004-12-24 (r149 ateslik)

1. fix a minor bug in mailfilter.pl that the filter.check file was not updated
after folder is changed by mailfilter itself, which caused the mailfilter
does one more message status scan of all messages in the folder next time.
2. add option bgfilterthreshold to the user preference so user can
determine whether the mail filter should be put into background
based on the message count in INBOX folder
3. Polish language and template files translation update
(thanks to Pawel Foremski, pjf.AT.asn.pl)

----------
2004-12-23 (r148 ateslik)

1. call charset() after loadlang to set the charset for CGI module to fix
bugs because of wrong default charset
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net for his fix)
2. new iconset: Cool3D.Japanese
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net)
3. Bulgarian language and template files translation update
(thanks to Veselin Slavov, vess.AT.slavof.net)
4. Slovenian language and template files translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2004-12-21 (r147 ateslik)

1. fix a bug in addressbook that note field
with ' or " won't be displayed correctly
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2004-12-20 (r146 ateslik)

1. explcitly check old password in change_userpassword() in auth_pam.pl,
as the PAM of underlying authentication doesn't always check the old
password before changing the password
(thanks to Sergio Rua, srua.AT.pattrynet.org for his fix)

----------
2004-12-19 (r145 ateslik)

1. add date range support to advsearch

----------
2004-12-13 (r144 ateslik)

1. fix some typo errors in French language file
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

----------
2004-12-09 (r143 ateslik)

1. change calendar event notification email to a more concise format
so it could be displayed well in PDA or cell phone
2. fix the error of spamassassin user prefs filename,
it should be user_prefs, not userprefs
3. clean code related to cookies,
rename cookienames from openwebmail-* to ow-* and include -$domain-$user
as suffix for cookie that should not shared accross domains
4. fix a bug in openwebmail.pl that cgi param domainname was always not used
in autologin

----------
2004-12-08 (r142 ateslik)

1. fix a bug in cut.pl that parameter for utime is not untainted
(reported by Dimitrios 'sehh' Michelinakis, dimitrios.AT.michelinakis.gr)

----------
2004-12-07 (r141 ateslik)

1. Deutsch lang file translation update
(thanks to Martin Bronk, martin.AT.bronk.de)
2. add new option enable_saprefs to openwebmail.conf
This option would allow users to edit the testrules, whitelist and
blacklist in the spamassassin userprefs file (~/.spamassassin/userprefs)

----------
2004-12-05 (r140 ateslik)

1. new iconset: Cool3D.Spanish
(thanks to Jaime Caballero, master.AT.xanum.uam.mx)
2. fix a minor bug in auth_ldap.pl which always used the ou=people for
authentication no matter what ou is set to in auth_ldap.conf
(thanks to bjacint, bjacint.AT.kvark.hu for his fix)

----------
2004-12-02 (r139 ateslik)

1. fix a minor bug in adrbook.pl which may generate invalid vcard in
addressbook conversion if an entry in old addressbook has no name defined.
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2004-12-01 (r138 ateslik)

1. return false in html editor compatibility test for browser Opera
in openwebmail-send

----------
2004-11-29 (r137 ateslik)

1. add -u (--unlock) option to openwebmail-tool.pl,
it removes the file locks for specific openwebmail user by killing the
processes holding the locks
ps: This function requires the program 'lsof',
lsof is available at http://people.freebsd.org/~abe/

----------
2004-11-27 (r136 ateslik)

1. fix the color of listview in addressbook when lightbar is disabled
(thanks to Alex Teslik, alex.AT.acatysmoof.com)
2. Hungarian language file translation update
(thanks to Posz Marton, ful_s.AT.fazekas.hu)
3. Strip unnecessary trailing whitespace off of a lot of lines
in the code.

----------
2004-11-26 (r135 ateslik)

1. Bulgarian language and template files translation update
(thanks to Veselin Slavov, vess.AT.slavof.net)
2. fix a bug that addressbook related function in message reading/composing
was not disabled when option enable_addressbook is set to no
3. fix a problem in mime.pl that encode_mimewords didn't encode two bytes of
a big5 char as a whole
(reported by wongyf.AT.mail.savs.ilc.edu.tw)

----------
2004-11-25 (r134 ateslik)

1. fix a problem that when dangerous chars in foldername in was silently
removed in folder creation, the resulted string might contain invalid
chars to user current charset
(reported by chip.AT.turtle.ee.ncku.edu.tw)
2. new mirror site at Beijing, China
http://web.lasg.ac.cn/openwebmail/
(thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)
3. fix a problem that shares/vfile.pl won't work without Text::Iconv.pm
(reported by marvi.AT.menhir.biz, Marvi Benedet)
4. Polish language and template files translation update
(thanks to Pawel Foremski, pjf.AT.asn.pl)
5. Italian language and template files translation update
(thanks to Benedet Marvi, marvi.AT.menhir.biz)

----------
2004-11-24 (r133 ateslik)

1. fix the "Undefined subroutine &main::get_messageids_sorted_by_date" error
in openwebmail-tool.pl that
(reported by Yang Yao-Strong, ysyang.AT.visionnext.com)
2. Polish language and template files translation update
(thanks to Pawel Foremski, pjf.AT.asn.pl)
3. fix a bug that DEFAULT_ restriction in openwebmail.conf is always active
even when its default_ counterpart has been overridden
(reported by Yves MARTIN, ymartin.AT.mail.com)
4. fix an error in iconv.pl.fake that the routine is_convertable() should be
renamed to is_convertible()
(reported by marvi.AT.menhir.biz, Marvi Benedet)

----------
2004-11-23 (r132 ateslik)

1. remove the default chld signal handler to eliminate the
"recursive call...,out of memory!" error in httpd error log
To avoid zombie, we call zombie_cleaner explicitly at begin/end of
each request

----------
2004-11-21 (r131 ateslik)

1. rewrite the chkd signal handler
to eliminate the recursive call...,out of memory!" error

----------
2004-11-18 (r130 ateslik)

1. Slovenian html editor files translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)
2. fix a typo error in openwebmail-send.pl introduced by change4 in 11/16/2004
which stopped the 'save draft' function from working.

----------
2004-11-17 (r129 ateslik)

1. minor fix to editfile in webdisk so it could be called from modules
other than webdisk

----------
2004-11-16 (r128 ateslik)

1. fix a bug that parameters won't be remembered correctly in the url
redirection in openwebmail.pl at user login
2. fix a bug in vacation.pl that the from field in autoreplied message
may be wrong if the user was not the first recipient in the To: field
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi for his fix)
3. new options: header_pluginfile_charset, footer_pluginfile_charset,
webmail_middle_pluginfile_charset to specify the charset of plugin data
4. new options: enable_savedraft, enable_backupsent
5. Slovenian language and template files translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2004-11-14 (r127 ateslik)

1. change default for enable_domainselectmenu from yes to no,
rename domainselmenu_list to domainselectmenu_list
2. fix a bug that if option domainanmes has only one entry,
domainanme select menu won't appear even enable_domainselectmenu
is set to yes
3. fix a bug that domain selected from dropdown menu at login won't
be used as the default domain for user

----------
2004-11-12 (r126 ateslik)

1. use dispatch table for url redirection in refreshurl_after_login() in
openwebmail.pl

----------
2004-11-11 (r125 ateslik)

1. fix a bug that caused the following warning in system log on linux system
"application bug: perl5.8.3 has SIGCHLD set to SIG_IGN but calls wait()..."
(thanks to Joachim Vorrath, joachim.vorrath.AT.de.easynet.net for his fix)

----------
2004-11-10 (r124 ateslik)

1. the import/export support for csv and tab-separated addressbook!
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)
2. add option webmail_middle_plugfile to plugin content between menubar
and messagelist in webmail

----------
2004-11-09 (r123 ateslik)

1. rename is_convertable to is_convertible in iconv.pl

----------
2004-11-08 (r122 ateslik)

1. refine the iconv routine and clean related code
2. remove debugging code
3. fix a bug in refined iconv routine

----------
2004-11-07 (r121 ateslik)

1. add charset support in calendar, so user can read/write a calendar
entry no matter if his charset in preference is the same as the calendar
entry charset

----------
2004-11-06 (r120 ateslik)

1. add routine decode_mimewords_iconv to decode a mimeowrd based on its own
charset, so string encoded with charset other the message charset
could be displayed correctly
2. fix a bug that parameters in mailto: link (to, subject, body) were not
passed into the compose window correctly
(reported by WONG, Wai Bun Ada, adawong.AT.ied.edu.hk)
3. fix a bug that agentname may be showed in wrong charset if the agent has
different charset than its parent contact
4. use cookie to remember the last used addressbook within a browser session
5. check the firstname/lastname field in addreditform before form submission
to avoid unexpected error

----------
2004-11-05 (r119 ateslik)

1. fix a bug in addressbook that when collapse mode is off,
checking the checkox of any group will check all groups in currentpage
2. fix a bug in addressbook that clicking save in groupedit form would
make the following addressbook listview have only a member field instead
of the to, cc and bcc fields.
3. use user prefs charset as the value for property X-OWM-CHARSET
in convert old addressbook
4. improved charset support in addreditform and addrlistview

----------
2004-11-04 (r118 ateslik)

1. Slovenian language and template files translation
(thanks to Uros Sajko, copatek.AT.yahoo.com)
2. Finish language translation update
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi)
3. fix a bug in addressbook group editing that
clicking a group as member of current group will cause javascript error

----------
2004-11-03 (r117 ateslik)

1. jump directly to same location after form submission when user click +
to add a new item/entry in addressbook editing
2. fix a bug that the displayed addrbook name may be wrong in addreditform
when the entry in editing is in a readonly addrbook
3. show only TO field in addrlistview in editgroup mode
4. fix a bug that abookfolder was not passed in addredit which would
cause error in saving an existing entry to addressbook
5. minor openwebmail-abook.pl code clean
a. add is_abookfolder_writable() abookfolder2file() to openwebmail-abook.pl
b. variable convention: xxxfolder - logicalname of an addrbook
xxxfile   - path of an addrbook
xxxbook   - addrbook in mem hash

----------
2004-11-02 (r116 ateslik)

1. more checks on possible destination addressbooks in addrlistview
2. fix a bug that member checkboxs always have inverse state as the group
checkbox when collapse mode is off in addrlistview
3. fix the bug that string passed to displayNotes are escape with escapeURL,
it should be str2html instead.

----------
2004-11-01 (r115 ateslik)

1. adjust the default width/height of address popup window for upgraded users.
2. minor change to js routine makeFullName() in addreditform_N.template
so it can generate proper fullname for CJK
3. calling sendmail with -f option in vacation.pl to specify envelope sender
explicitly to avoid the intranet domainet being used in envelope.
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi for his fix)
4. add 'local $1' in regex untaint matching to avoid the perl $1 taintness bug
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi for his help
in debugging this problem)
5. add ucs4_to_utf8() to tool.pl to solve CJK problem in addressbook popup
it decodes the %uXXXX in CGI parameters encoded by javascript escape()
6. fix a bug in composeselect and editgroup that parms set in form hiddens object
should be escaped for < > & " chars only (ow::htmltext::str2html),
not fully escaped (ow::tool::escapeURL)

----------
2004-10-31 (r114 ateslik)

1. integrate addressbook with other modules by putting the link of web
addresssbook to the menubar of msgread, webcalendar and webdisk
2. Traditional Chinese language and templates translation update
3. fix a bug in mailfilter that string with < > could not be showed correctly
(reported by Noah Wallach, admin2.AT.enabled.com)
4. swap the forward.gif and forwardasatt.gif. they were with wrong name before.
(reported by Dan Burke, drburke.AT.crhc.uiuc.edu)
5. use a image itself as the thumbnail if the image size < 2k in webdisk.
6. show addressbook name in editing addressbook personal/group entries
7. fix alignment directives in addressbook templates for RTL languages
(eg:ar.* hr.* ur)

----------
2004-10-30 (r113 ateslik)

1. replace the openwebmail-abook.pl with the whole new vCard compliant
implementation by Alex Teslik, it is much better than the old one :)
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his great implementation)

ps: BETA! NOT PRODUCTION READY!

The new addressbook code has NOT been tested worldwide.
Although every effort has been made to eliminate any possible errors,
it is STRONGLY recommended that this code should NOT be run in a
production environment until it can be tested by a larger user base.

ps: It is okay to install the new version over the old one.
but don't forget to remove import.gif, export.gif
from data/images/iconsets/*/ (which are not used any more)

ps: If you are upgrading from older openwebmail, don't forget to convert
the global addressbook to new vard format by

openwebmail-tool.pl -c

The user addressbook will be auto converted at the first access.
However, the sysadm may also choose to convert the addressbook for all
users manually by

openwebmail-tool.pl -c -a

2. Welcome Alex Teslik to the openwebmail develope team :)
3. Portuguese Brazil language and template files translation ipdate
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br)
4. remove stale iconsets from data/images/iconsets/
5. move javascript in templates/*/addreditform_BDAY.template
to templates/COMMON/, so the js cached in memory could be shared
among different languages
6. change the default value for viruscheck_pipe
from /usr/local/bin/clamdscan --mbox --disable-summary --stdout -
to   /usr/local/bin/clamdscan --disable-summary --stdout -
to avoid the warning on clamav 0.8+
7. Traditional Chinese language and templates translation update

----------
2004-10-22 (r112 ateslik)

1. fix the problem that openwebmail didn't recognize messages properly
if the message is not delimited with a leading blank line
(thanks to tigeli, pasi.sjoholm.AT.tieto-x.fi for his report and patch)
2. rename option log_filtermove_detail to log_filter_detail
as this option logs more generic information of filters now
ps:If you encounter any problem with mail filtering,
please set this option to yes in your openwebmail.conf first.
Then check the information in openwebmail.log later.

----------
2004-10-20 (r111 ateslik)

1. add option enable_advsearch, enable_userfolders to openwebmail.conf
2. if domainames option has more than one members and
option enable_domainselectmenu is set to yes,
only the selected domainname will become the domainname in default emails

----------
2004-10-14 (r110 ateslik)

1. new mirror site at Moscow, Russia
http://openwebmail.nigilist.ru
(thanks to Petya Kohts, nit.AT.nigilist.ru)
2. fix a spelling mistake in the log file status names:
"emport addressbook to pine" should be: "export addressbook to pine"
(thanks to Dimitrios Michelinakis, dimitrios.AT.michelinakis.gr)

----------
2004-10-06 (r107 ateslik)

1. Austria holiday file
(thanks to gottfried hufnagel, gottfried.hufnagel.AT.onb.ac.at)

I forgot to add the new en.utf8 directories and files with the 105
revision, so I have added them here. So, the 2.41 tag is not perfect,
but this one is.

----------
2004-10-04 (r106 ateslik)

1. Hellenic/Greek language file minor update
Cool3D.Hellenic iconse update
(thanks to Dimitris Michelinakis, dimitris.AT.michelinakis.gr)
2. misc/tools/mkcool3d/mkcool3d.sh update
(thanks to Dimitris Michelinakis, dimitris.AT.michelinakis.gr)

----------
2004-09-26 (r104 ateslik)

Commit changes from tarball openwebmail-2.41.tar.gz

----------
2004-08-16 (r102 ateslik)

Commit additional changes from tarball openwebmail-2.40.tar.gz

----------
2004-08-16 (r101 ateslik)

Commit first pass changes from tarball openwebmail-2.40.tar.gz

Another big change in directory structures here.

----------
2004-05-25 (r99 ateslik)

Commit changes from tarball openwebmail-2.32.tar.gz

----------
2004-01-03 (r97 ateslik)

Commit additional changes from tarball openwebmail-2.30.tar.gz

----------
2004-01-03 (r96 ateslik)

Commit first pass changes from tarball openwebmail-2.30.tar.gz

Major change in directory structure here.

----------
2003-11-10 (r94 ateslik)

Commit changes from tarball openwebmail-2.21.tar.gz

----------
2003-10-14 (r92 ateslik)

Commit additional changes from tarball openwebmail-2.20.tar.gz

----------
2003-10-14 (r91 ateslik)

Commit first pass changes from tarball openwebmail-2.20.tar.gz

----------
2003-06-17 (r89 ateslik)

Commit changes from tarball openwebmail-2.10.tar.gz

----------
2003-04-25 (r87 ateslik)

Commit changes from tarball openwebmail-2.01.tar.gz

----------
2003-03-25 (r85 ateslik)

Commit changes from tarball openwebmail-2.00.tar.gz

----------
2003-02-12 (r83 ateslik)

Commit changes from tarball openwebmail-1.90.tar.gz

----------
2002-11-27 (r81 ateslik)

Commit changes from tarball openwebmail-1.81.tar.gz

----------
2002-11-22 (r79 ateslik)

Commit changes from tarball openwebmail-1.80.tar.gz

----------
2002-08-24 (r77 ateslik)

Commit additional changes from tarball openwebmail-1.71.tar.gz

----------
2002-08-24 (r76 ateslik)

Commit changes from tarball openwebmail-1.71.tar.gz

----------
2002-07-12 (r74 ateslik)

Commit changes from tarball openwebmail-1.70.tar.gz

----------
2002-06-06 (r72 ateslik)

Commit changes from tarball openwebmail-1.65.tar.gz

----------
2002-04-15 (r70 ateslik)

Commit changes from tarball openwebmail-1.64.tar.gz

----------
2002-03-19 (r68 ateslik)

Commit changes from tarball openwebmail-1.63.tar.gz

----------
2002-02-21 (r66 ateslik)

Commit changes from tarball openwebmail-1.62.tar.gz

----------
2002-02-04 (r64 ateslik)

Commit changes from tarball openwebmail-1.61.tar.gz

----------
2002-01-24 (r62 ateslik)

Commit additional changes from tarball openwebmail-1.60.tar.gz

----------
2002-01-24 (r61 ateslik)

Commit changes from tarball openwebmail-1.60.tar.gz

----------
2001-12-15 (r59 ateslik)

Commit changes from tarball openwebmail-1.53.tar.gz

----------
2001-12-04 (r57 ateslik)

Commit additional changes from tarball openwebmail-1.52.tar.gz

move src/cgi-bin/openwebmail/doc to src/data/openwebmail/doc

----------
2001-12-04 (r56 ateslik)

Commit changes from tarball openwebmail-1.52.tar.gz

----------
2001-11-08 (r54 ateslik)

Commit changes from tarball openwebmail-1.51.tar.gz

----------
2001-10-31 (r52 ateslik)

Commit changes from tarball openwebmail-1.50.tar.gz

----------
2001-10-31 (r51 ateslik)

another commit for 1.50...

----------
2001-10-31 (r50 ateslik)

add 1.50 changes to images (which adds the iconsets and backgrounds dirs)

----------
2001-10-31 (r49 ateslik)

openwebmail-1.50.tar.gz has a lot of changes and will require multiple commits.

first commit to modify templates...

----------
2001-09-04 (r47 ateslik)

Commit changes from tarball openwebmail-1.41.tar.gz

----------
2001-08-16 (r45 ateslik)

Commit changes from tarball openwebmail-1.40.tar.gz

----------
2001-07-12 (r43 ateslik)

Commit changes from tarball openwebmail-1.32.tar.gz

----------
2001-06-23 (r41 ateslik)

Commit changes from tarball openwebmail-1.31.tar.gz

----------
2001-06-18 (r39 ateslik)

Commit changes from tarball openwebmail-1.30.tar.gz

----------
2001-06-13 (r37 ateslik)

Commit changes from tarball openwebmail-1.22.tar.gz

----------
2001-06-11 (r35 ateslik)

Commit changes from tarball openwebmail-1.21.tar.gz

----------
2001-06-07 (r33 ateslik)

Commit changes from tarball openwebmail-1.20.tar.gz

----------
2001-06-01 (r31 ateslik)

Commit changes from tarball openwebmail-1.15.tar.gz

----------
2001-05-25 (r29 ateslik)

Commit changes from tarball openwebmail-1.14.tar.gz

----------
2001-05-07 (r27 ateslik)

Commit changes from tarball openwebmail-1.13.tar.gz

----------
2001-05-04 (r25 ateslik)

Commit changes from tarball openwebmail-1.12.tar.gz

----------
2001-05-01 (r23 ateslik)

Commit changes from tarball openwebmail-1.11.tar.gz

----------
2001-04-26 (r21 ateslik)

Commit changes from tarball openwebmail-1.10.tar.gz

----------
2001-04-24 (r19 ateslik)

Commit changes from tarball openwebmail-1.09.tar.gz

----------
2001-04-20 (r17 ateslik)

Commit changes from tarball openwebmail-1.08.tar.gz

----------
2001-04-17 (r15 ateslik)

Commit changes from tarball openwebmail-1.07.tar.gz

----------
2001-04-13 (r13 ateslik)

Commit changes from tarball openwebmail-1.06.tar.gz

----------
2001-04-11 (r11 ateslik)

Commit changes from tarball openwebmail-1.05.tar.gz

----------
2001-04-06 (r9 ateslik)

Commit changes from tarball openwebmail-1.04.tar.gz

----------
2001-04-02 (r7 ateslik)

Re-commit of the openwebmail-1.03.tar.gz tarball - this time I have
replaced the old files with the new ones, not just looked for new
files and directories like I did last time.

Getting the hang of this Subversion thingy.

----------
2001-04-02 (r4 ateslik)

Commit changes from tarball openwebmail-1.03.tar.gz

----------
2001-03-15 (r2 ateslik)

Commit the first tarball openwebmail-1.02.tar.gz

----------
2000-09-14 (r1 ateslik) 05:00:00 -0700 (Thu, 14 Sep 2000) | 1 line

Initial repository layout
----------
